package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.SportCardEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface SportCardDao {

    public SportCardEntity getById(Long id);

    public Collection<SportCardEntity> findByIds(List<Long> ids);

    public Collection<SportCardEntity> findByName(String name);

    public SportCardEntity store(SportCardEntity entity);

    public void delete(SportCardEntity entity);
}
